VisualEditor: ./ inserted at the start of wikilinks when using Firefox 13 and 14, so we can unblacklist them
OpenPublic

bzimport added a project: VisualEditor-DataModel.Via ConduitNov 22 2014, 1:42 AM
bzimport set Reference to bz50720.
SalixAlba created this task.Via LegacyJul 4 2013, 6:36 AM
SalixAlba added a comment.Via ConduitJul 5 2013, 10:37 AM
  • Bug 50539 has been marked as a duplicate of this bug. ***
Catrope added a comment.Via ConduitJul 5 2013, 9:18 PM

(In reply to comment #1)

Escalating priority. Additional example:

https://en.wikipedia.org/w/index.
php?title=OMICS_Publishing_Group&curid=35277259&diff=562944992&oldid=56157968
0

I can't reproduce this, and can in fact edit the page just fine: https://en.wikipedia.org/w/index.php?title=OMICS_Publishing_Group&diff=563024944&oldid=562947045

This bug must have some particularly nasty cache persistence properties; we've purged the Parsoid caches but that doesn't seem to have made it go away.

SalixAlba added a comment.Via ConduitJul 6 2013, 5:46 AM

I think it might be to do with having punctuation in the links in this edit
https://en.wikipedia.org/w/index.php?title=Soccer_in_the_United_States&diff=prev&oldid=563041224
this the links which have ' or ( in them which get mangled other links are ok so
[[United States men's national soccer team|men's national team]] gets changed to
[[./United_States_men's_national_soccer_team|men's national team]] but [[FIFA World Cup|World Cup]] is unchanged. And [[National Professional Soccer League (1967)|National Professional Soccer League]] is changed to [[./National_Professional_Soccer_League_(1967)|National Professional Soccer League]].

Schnark added a comment.Via ConduitJul 6 2013, 8:02 AM

According to https://de.wikipedia.org/wiki/Wikipedia:Technik/Text/Edit/VisualEditor/Beta2013-07#VE_zerschie.C3.9Ft_Kats_und_Wikilinks this seems to be an issue in old Firefox: FF14 inserted the ./, while FF22 didn't.

Eloquence added a comment.Via ConduitJul 6 2013, 6:21 PM

Confirmed in Firefox 14. Steps to reproduce:

  1. Open https://en.wikipedia.org/wiki/HELLP_syndrome?veaction=edit as a logged in user
  1. Make an unrelated edit
  1. Press "Save" and "Review your changes".

The link [[Right upper quadrant (abdomen)|right upper quadrant]] is transformed to [[./Right_upper_quadrant_(abdomen)|right upper quadrant]].

Eloquence added a comment.Via ConduitJul 6 2013, 6:31 PM

Can reproduce in Firefox 13 and 14; cannot reproduce in 15 or 17 or 20. Interestingly in Firefox 13 I get a little bit more normalization in the diff as well. Looks like we get more progressively more broken the further down we go. :P

gerritbot added a comment.Via ConduitJul 9 2013, 1:22 AM

Change 72675 had a related patch set uploaded by Jforrester:
Blacklist Firefox 13 and 14 too

https://gerrit.wikimedia.org/r/72675

gerritbot added a comment.Via ConduitJul 9 2013, 1:45 AM

Change 72675 merged by jenkins-bot:
Blacklist Firefox 13 and 14 too

https://gerrit.wikimedia.org/r/72675

Jdforrester-WMF added a comment.Via ConduitJul 11 2013, 12:11 AM

We believe that this should not recur due to the (hopefully-temporary) blacklisting of Firefox 13 and 14, which is now live in production. Consequently, I'm marking this bug as fixed. Please re-open if you find it happening again.

MZMcBride added a comment.Via ConduitJul 11 2013, 12:23 AM

I think you viewed this bug solely as a blocker to bug 50848. I agree that it no longer is, but I don't believe this bug is now resolved/fixed. The issue hasn't been fixed, as I understand it, just worked around. I'm re-opening the bug, but removing bug 50848 as a blocker, lowering the importance fields, and clarifying the bug summary.

Jdforrester-WMF added a comment.Via ConduitJul 11 2013, 12:25 AM

(In reply to comment #11)

I think you viewed this bug solely as a blocker to bug 50848. I agree that it
no longer is, but I don't believe this bug is now resolved/fixed. The issue
hasn't been fixed, as I understand it, just worked around. I'm re-opening the
bug, but removing bug 50848 as a blocker, lowering the importance fields, and
clarifying the bug summary.

Well, had you given me more than 30 seconds I was in the middle of creating a new bug, but never mind. :-) Repurposing this one.

matmarex added a comment.Via ConduitSep 15 2013, 4:49 PM

Just wondering, has anybody tested VE on those old Firefoxes somewhat recently? The codebase is changing so fast this might as well be magically fixed now.

Jdforrester-WMF moved this task to Backlog on the VisualEditor workboard.Via WebNov 24 2014, 4:18 PM

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.